DMD2.CONF(1)

NAME
dmd2.conf - configuration file for dmd2(1)

SYNOPSIS
/usr/local/etc/dmd2.conf

DESCRIPTION
dmd2 will look for the initialization file dmd2.conf in the directory /usr/local/etc. If found, environment variable settings in the file will override any existing settings.

This is handy to make dmd2 independent of programs with conflicting use of environment variables.

SYNTAX
Environment variables follow the [Environment] section heading, in name=value pairs. Comments are lines that start with ;.

EXAMPLE
; dmd2.conf file for dmd2

; Names enclosed by %% are searched for in the existing environment

; and inserted. The special name %@P% is replaced with the path

; to this file.

[Environment]

DFLAGS="-I%@P%/../src/phobos"

FILES
/usr/local/etc/dmd2.conf

SEE ALSO
dmd2(1) rdmd2(1)